summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSlashbunny2013-01-21 19:33:29 -0500
committerSlashbunny2013-01-21 19:33:29 -0500
commit92f7ceb645f3e8e257e9018eebbc156e9c541974 (patch)
treeb953c5845d2d6bb59d134a5c1298c0c90f21fc79
downloadaur-92f7ceb645f3e8e257e9018eebbc156e9c541974.tar.gz
ioquake3 switched to github, copy ioquake3-svn to ioquake3-git and modernize it a bit
-rw-r--r--.SRCINFO32
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD105
-rw-r--r--quake3.desktop12
-rw-r--r--quake3.install31
-rw-r--r--quake3.launcher5
-rw-r--r--quake3ded.launcher5
7 files changed, 195 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2dc9020fa97
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,32 @@
+pkgbase = ioquake3-git
+ pkgdesc = The de-facto OSS Quake 3 distribution. You need the retail/demo .pk3 files to play.
+ pkgver = 20130121
+ pkgrel = 1
+ url = http://ioquake3.org/
+ install = quake3.install
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = nasm
+ makedepends = git
+ depends = sdl
+ depends = openal
+ provides = quake3
+ provides = ioquake3
+ conflicts = quake3
+ conflicts = quake3-icculus-svn
+ conflicts = quake3-svn
+ conflicts = ioquake3-svn
+ replaces = quake3-icculus-svn
+ replaces = ioquake3-svn
+ source = quake3.desktop
+ source = quake3.launcher
+ source = quake3ded.launcher
+ source = http://ftp.gwdg.de/pub/misc/ftp.idsoftware.com/idstuff/quake3/linux/linuxq3apoint-1.32b-3.x86.run
+ md5sums = 9eca51e2b3ee3e0100944cba436a2a4c
+ md5sums = ea5d99df80b41269523b34229fdf854d
+ md5sums = ea5d99df80b41269523b34229fdf854d
+ md5sums = c71fdddccb20e8fc393d846e9c61d685
+
+pkgname = ioquake3-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..e4f398dc5b3
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+src/
+pkg/
+*.pkg.tar.xz
+*.pkg.tar
+*.src.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..80062224a6e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,105 @@
+# Contributor: Slash <demodevil5[at]yahoo[dot]com>
+
+pkgname=ioquake3-git
+pkgver=20130121
+pkgrel=1
+pkgdesc="The de-facto OSS Quake 3 distribution. You need the retail/demo .pk3 files to play."
+url="http://ioquake3.org/"
+license=('GPL')
+arch=('i686' 'x86_64')
+depends=('sdl' 'openal')
+makedepends=('nasm' 'git')
+conflicts=('quake3' 'quake3-icculus-svn' 'quake3-svn' 'ioquake3-svn')
+provides=('quake3' 'ioquake3')
+replaces=('quake3-icculus-svn' 'ioquake3-svn')
+install=quake3.install
+source=('quake3.desktop' 'quake3.launcher' 'quake3ded.launcher' \
+'http://ftp.gwdg.de/pub/misc/ftp.idsoftware.com/idstuff/quake3/linux/linuxq3apoint-1.32b-3.x86.run')
+md5sums=('9eca51e2b3ee3e0100944cba436a2a4c'
+ 'ea5d99df80b41269523b34229fdf854d'
+ 'ea5d99df80b41269523b34229fdf854d'
+ 'c71fdddccb20e8fc393d846e9c61d685')
+
+_gitroot=git://github.com/ioquake/ioq3.git
+_gitname=quake3
+
+build() {
+ cd $srcdir
+
+ msg "Connecting to GIT server...."
+
+ if [[ -d "$_gitname" ]]; then
+ cd "$_gitname" && git pull origin
+ msg "The local files are updated."
+ else
+ git clone "$_gitroot" "$_gitname"
+ fi
+
+ msg "GIT checkout done or server timeout"
+ msg "Starting build..."
+
+ rm -rf "$srcdir/$_gitname-build"
+ git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
+ cd "$srcdir/$_gitname-build"
+
+ # Modify Makefile to correct install path
+ /bin/sed -i "s:/usr/local/games/quake3:$pkgdir/opt/quake3:" Makefile
+
+ # Compile ioQuake3
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$_gitname-build"
+
+ # Install Files
+ make copyfiles || return 1
+
+ # Extract Patch Files
+ cd $srcdir
+ chmod +x $srcdir/linuxq3apoint-1.32b-3.x86.run
+ $srcdir/linuxq3apoint-1.32b-3.x86.run --tar xf
+
+ # Modify Launcher Scripts
+ if [ "$CARCH" = "x86_64" ]; then
+ #
+ # x86_64 Systems
+ #
+ /bin/sed -i "s:IOQ3_BINARY:ioquake3.x86_64:" \
+ $srcdir/quake3.launcher
+ /bin/sed -i "s:IOQ3_BINARY:ioq3ded.x86_64:" \
+ $srcdir/quake3ded.launcher
+ else
+ #
+ # i686 Systems
+ #
+ /bin/sed -i "s:IOQ3_BINARY:ioquake3.i386:" \
+ $srcdir/quake3.launcher
+ /bin/sed -i "s:IOQ3_BINARY:ioq3ded.i386:" \
+ $srcdir/quake3ded.launcher
+ fi
+
+ # Install Quake 3 Patch Files
+ install -m 644 $srcdir/baseq3/*.pk3 \
+ $pkgdir/opt/quake3/baseq3/
+
+ # Install Quake 3 Expansion Pack Patch Files
+ install -m 644 $srcdir/missionpack/*.pk3 \
+ $pkgdir/opt/quake3/missionpack/
+
+ # Install Launcher (Client)
+ install -D -m 755 $srcdir/quake3.launcher \
+ $pkgdir/usr/bin/quake3
+
+ # Install Launcher (Server)
+ install -D -m 755 $srcdir/quake3ded.launcher \
+ $pkgdir/usr/bin/quake3ded
+
+ # Install Desktop File
+ install -D -m 644 $srcdir/quake3.desktop \
+ $pkgdir/usr/share/applications/quake3.desktop
+
+ # Install Icon File
+ install -D -m 644 $srcdir/quake3-build/misc/quake3.png \
+ $pkgdir/usr/share/pixmaps/quake3.png
+}
diff --git a/quake3.desktop b/quake3.desktop
new file mode 100644
index 00000000000..def702039d3
--- /dev/null
+++ b/quake3.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Quake III Arena
+GenericName=Quake III
+Comment=ioQuake3 - Quake III Open Source Engine
+Exec=/usr/bin/quake3
+Icon=/usr/share/pixmaps/quake3.png
+StartupNotify=true
+Terminal=false
+Type=Application
+Categories=Qt;KDE;GNOME;Application;Game;
+
diff --git a/quake3.install b/quake3.install
new file mode 100644
index 00000000000..3e40253fbe8
--- /dev/null
+++ b/quake3.install
@@ -0,0 +1,31 @@
+
+post_install() {
+ echo ">>>"
+ echo ">>>>To play Q3 with the Retail Version:"
+ echo ">>> Move the pak0.pk3 file from the original game CD to"
+ echo ">>> /opt/quake3/baseq3/"
+ echo ">>>"
+ echo ">>>>To play Q3 with the Demo Version:"
+ echo ">>> You need the demoq3/pak0.pk3 from the demo installer. The"
+ echo ">>> qvm files inside that pk3 file will not work, so you have"
+ echo ">>> to copy or link the .so files in the baseq3/ directory to"
+ echo ">>> /opt/quake3/demoq3/ with the pak0.pk3 file."
+ echo ">>>"
+ echo ">>>>When you have the .pk3 file(s) installed, run the game:"
+ echo ">>> quake3"
+ echo ">>>"
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ /bin/true
+}
+
+op=$1
+shift
+
+$op $*
+
diff --git a/quake3.launcher b/quake3.launcher
new file mode 100644
index 00000000000..c9b092bea99
--- /dev/null
+++ b/quake3.launcher
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+cd "/opt/quake3"
+exec ./IOQ3_BINARY $*
+
diff --git a/quake3ded.launcher b/quake3ded.launcher
new file mode 100644
index 00000000000..c9b092bea99
--- /dev/null
+++ b/quake3ded.launcher
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+cd "/opt/quake3"
+exec ./IOQ3_BINARY $*
+